Microwave filters GUI 2.0.3

- Main Page
- Related Pages
- Packages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libcommonfunc.Parameters Class Reference

Filter, synthesis and sweep parameters. More...

## Public Member Functions
def | readParam
| Parse int, float, complex or string parameters from string stValue.
def | __init__
| Initialize parameters class with list of strings.
def | readChebash
| Translate a list of Chebash parameters into a list of equivalent lossyfilters parameters.

## Detailed Description

Filter, synthesis and sweep parameters.

Definition at line 457 of file libcommonfunc.py.

## Constructor & Destructor Documentation

def libcommonfunc.Parameters.__init__ | ( |  | self,
|  |  | stList
| ) |  |

Initialize parameters class with list of strings.

        Each string is a line of the parameter file.
        For backwards compatibility of parameter files, missing fields are set to None.
            @param stList = List of strings. Each element of list is a line of input file.
                                        @n If stList is equal to None, an empty instance of Parameters class is created.
                                        (useful to create a new parameter file and for the copy funcion).
            @return Parameter class instance.

Flag that indicates if the class instance contains information. empty==False or empty==True Path of output files, including directory and file name

Definition at line 505 of file libcommonfunc.py.

References libcommonfunc.Parameters.empty, libcommonfunc.Parameters.LPalgor, libcommonfunc.Parameters.LPcomplexZeros, libcommonfunc.Parameters.LPmaxIter, libcommonfunc.Parameters.LPNsamples, libcommonfunc.Parameters.LPrealZeros, libcommonfunc.myPrint(), libcommonfunc.Parameters.N, libcommonfunc.Parameters.nuqK11c1, libcommonfunc.Parameters.nuqK21c1, libcommonfunc.Parameters.nuqK21c2, libcommonfunc.Parameters.nuqK21c3, libcommonfunc.Parameters.nuqK22c1, libcommonfunc.Parameters.outDirName, libcommonfunc.Parameters.readChebash(), libcommonfunc.Parameters.transComplexZeros, libcommonfunc.Parameters.transImagZeros, libcommonfunc.Parameters.wFunc, and libcommonfunc.Parameters.zerosArrang.

Here is the call graph for this function:

## Member Function Documentation

def libcommonfunc.Parameters.readChebash | ( |  | self,
|  |  | paramList
| ) |  |

Translate a list of Chebash parameters into a list of equivalent lossyfilters parameters.

Parameters

  paramList | = List of tuples (Chebash_Parameter_Name, value) where value is a string

Returns
  paramList = List of tuples (LossyFilters_Parameter_Name, type, value) where type and value are strings

Definition at line 590 of file libcommonfunc.py.

References mwfiltersgui.SpecMask.BW, libcommonfunc.FrequencyTransformBP.BW, mwfiltersgui.SpecMask.f0, mwfiltersgui.myTableWidget.f0, libcommonfunc.Sparameters.f0, libcommonfunc.FrequencyTransformBP.f0, libcommonfunc.Parameters.N, libcommonfunc.Parameters.transComplexZeros, and libcommonfunc.Parameters.transImagZeros.

Referenced by libcommonfunc.Parameters.__init__().

Here is the caller graph for this function:

def libcommonfunc.Parameters.readParam | ( |  | self,
|  |  | key,
|  |  | type,
|  |  | stValue
| ) |  |

Parse int, float, complex or string parameters from string stValue.

Parameters

  key | = string containing parameter keyword.
  type | = string containing parameter type: 'int', 'float', 'complex' or 'string'. 'Float' type allows a value of Inf, inf or INF.
  stValue | = string containing parameter or a list of comma-separated parameters. Complex number format is 1+2j.

Returns
  parameter value.

Definition at line 468 of file libcommonfunc.py.

The documentation for this class was generated from the following file:

- libcommonfunc.py